GET
/analyzer/{analyzerName}/archive-rule
http://access-analyzer.{region}.amazonaws.com/analyzer/{analyzerName}/archive-ruleRetrieves a list of archive rules created for the specified analyzer.
Access Token Required: API Key
Path Parameters
analyzerNamestringrequired
The name of the analyzer to retrieve rules from.
Query Params
nextTokenstring
A token used for pagination of results returned.
maxResultsinteger
The maximum number of results to return in the request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://access-analyzer.{region}.amazonaws.com/analyzer/{analyzerName}/archive-rule' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}